Index: /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 4478)
+++ /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 4479)
@@ -772,5 +772,4 @@
       USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zmbk => wrk_2d_1
-      USE par_oce,  ONLY:   jpkf, jpkfm1
       USE arpdebugging, ONLY: dump_array
       !!
@@ -824,7 +823,4 @@
                mbkmax(ji,jj) = MIN(jpk, MAX(mbkt(ji,jj)+1, mbku(ji,jj), mbkv(ji,jj)))
                ! write(*,*) narea, ': SMPDBG: ', ji, jj, mbkt(ji,jj), mbku(ji,jj), mbkv(ji,jj), mbkmax(ji,jj)
-!!$               IF(mbkmax(ji,jj) /= jpkf)THEN
-!!$                  WRITE (*,*) narea,': ARPDBG: mbkmax at ',ji,jj,' in {mpp_init3,zgr_bot_level} = ',mbkmax(ji,jj),jpkf
-!!$               END IF
             END DO
          END DO
@@ -834,17 +830,14 @@
          ! mbkmax computed in mpp_init3 because needed before ANY halo 
          ! swaps can be performed
-         jpkf = MAXVAL( mbkmax(:,:) )
-         WRITE(*,*) narea,': ARPDBG: shallowest pt and jpkf = ', &
-                    MINVAL(mbkmax(:,:)), jpkf
          ! Play rather fast and loose and just change the value of jpk
          ! here...
-         jpk = jpkf
+         jpk = MAXVAL( mbkmax(:,:) )
+         WRITE(*,*) narea,': ARPDBG: shallowest pt and new, sub-domain jpk = ', &
+                    MINVAL(mbkmax(:,:)), jpk
          jpkm1 = jpk - 1
       ELSE
          WRITE(*,*) narea,': ARPDBG: NOT trimming domain in z'
          mbkmax(:,:) = jpk
-         jpkf = jpk
       END IF
-      jpkfm1 = jpkf - 1
 
       !
Index: /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_imp.F90
===================================================================
--- /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_imp.F90	(revision 4478)
+++ /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_imp.F90	(revision 4479)
@@ -105,5 +105,5 @@
       DO jj = 2, jpjm1 
          DO ji = 2, jpim1
-            DO jk = 1, jpkfm1
+            DO jk = 1, jpkm1
                zcoef = - p2dt / fse3u(ji,jj,jk)
                zzwi          = zcoef * avmu (ji,jj,jk  ) / fse3uw(ji,jj,jk  )
@@ -119,5 +119,5 @@
       END DO
 #else
-      DO jk = 1, jpkfm1        ! Matrix
+      DO jk = 1, jpkm1        ! Matrix
          DO jj = 2, jpjm1 
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -160,5 +160,5 @@
             ua(ji,jj,1) = ub(ji,jj,1) + p2dt * (  ua(ji,jj,1) + 0.5_wp * ( utau_b(ji,jj) + utau(ji,jj) )   &
                &                                                       / ( fse3u(ji,jj,1) * rau0       )  )
-            DO jk = 2, jpkfm1
+            DO jk = 2, jpkm1
                zzwibd = zwi(ji,jj,jk) / zwd(ji,jj,jk-1)
                !==  First recurrence : Dk = Dk - Lk * Uk-1 / Dk-1   (increasing k)  ==
@@ -169,10 +169,10 @@
             END DO
             !==  third recurrence : SOLk = ( Lk - Uk * Ek+1 ) / Dk  ==
-            ua(ji,jj,jpkfm1) = ua(ji,jj,jpkfm1) / zwd(ji,jj,jpkfm1)
-            DO jk = jpkf-2, 1, -1
+            ua(ji,jj,jpkm1) = ua(ji,jj,jpkm1) / zwd(ji,jj,jpkm1)
+            DO jk = jpk-2, 1, -1
                ua(ji,jj,jk) = ( ua(ji,jj,jk) - zws(ji,jj,jk) * ua(ji,jj,jk+1) ) / zwd(ji,jj,jk)
             END DO
             ! Normalization to obtain the general momentum trend ua
-            DO jk = 1, jpkfm1
+            DO jk = 1, jpkm1
                ua(ji,jj,jk) = ( ua(ji,jj,jk) - ub(ji,jj,jk) ) * z1_p2dt
             END DO
@@ -180,5 +180,5 @@
       END DO
 #else
-      DO jk = 2, jpkfm1        !==  First recurrence : Dk = Dk - Lk * Uk-1 / Dk-1   (increasing k)  ==
+      DO jk = 2, jpkm1        !==  First recurrence : Dk = Dk - Lk * Uk-1 / Dk-1   (increasing k)  ==
          DO jj = 2, jpjm1   
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -194,5 +194,5 @@
          END DO
       END DO
-      DO jk = 2, jpkfm1
+      DO jk = 2, jpkm1
          DO jj = 2, jpjm1   
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -205,8 +205,8 @@
       DO jj = 2, jpjm1        !==  third recurrence : SOLk = ( Lk - Uk * Ek+1 ) / Dk  ==
          DO ji = fs_2, fs_jpim1   ! vector opt.
-            ua(ji,jj,jpkfm1) = ua(ji,jj,jpkfm1) / zwd(ji,jj,jpkfm1)
-         END DO
-      END DO
-      DO jk = jpkf-2, 1, -1
+            ua(ji,jj,jpkm1) = ua(ji,jj,jpkm1) / zwd(ji,jj,jpkm1)
+         END DO
+      END DO
+      DO jk = jpk-2, 1, -1
          DO jj = 2, jpjm1   
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -216,5 +216,5 @@
       END DO
       ! Normalization to obtain the general momentum trend ua
-      DO jk = 1, jpkfm1
+      DO jk = 1, jpkm1
          DO jj = 2, jpjm1   
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -237,5 +237,5 @@
       DO jj = 2, jpjm1   
          DO ji = 2, jpim1
-            DO jk = 1, jpkfm1        ! Matrix
+            DO jk = 1, jpkm1        ! Matrix
                zcoef = -p2dt / fse3v(ji,jj,jk)
                zzwi          = zcoef * avmv (ji,jj,jk  ) / fse3vw(ji,jj,jk  )
@@ -251,5 +251,5 @@
       END DO
 #else
-      DO jk = 1, jpkfm1        ! Matrix
+      DO jk = 1, jpkm1        ! Matrix
          DO jj = 2, jpjm1   
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -292,5 +292,5 @@
             va(ji,jj,1) = vb(ji,jj,1) + p2dt * (  va(ji,jj,1) + 0.5_wp * ( vtau_b(ji,jj) + vtau(ji,jj) )   &
                &                                                       / ( fse3v(ji,jj,1) * rau0       )  )
-            DO jk = 2, jpkfm1
+            DO jk = 2, jpkm1
                zzwibd = zwi(ji,jj,jk) / zwd(ji,jj,jk-1)
                !==  First recurrence : Dk = Dk - Lk * Uk-1 / Dk-1   (increasing k)  ==
@@ -301,10 +301,10 @@
             END DO
             !==  third recurrence : SOLk = ( Lk - Uk * SOLk+1 ) / Dk  ==
-            va(ji,jj,jpkfm1) = va(ji,jj,jpkfm1) / zwd(ji,jj,jpkfm1)
-            DO jk = jpkf-2, 1, -1
+            va(ji,jj,jpkm1) = va(ji,jj,jpkm1) / zwd(ji,jj,jpkm1)
+            DO jk = jpk-2, 1, -1
                va(ji,jj,jk) = ( va(ji,jj,jk) - zws(ji,jj,jk) * va(ji,jj,jk+1) ) / zwd(ji,jj,jk)
             END DO
             ! Normalization to obtain the general momentum trend va
-            DO jk = 1, jpkfm1
+            DO jk = 1, jpkm1
                va(ji,jj,jk) = ( va(ji,jj,jk) - vb(ji,jj,jk) ) * z1_p2dt
             END DO
@@ -312,5 +312,5 @@
       END DO
 #else
-      DO jk = 2, jpkfm1        !==  First recurrence : Dk = Dk - Lk * Uk-1 / Dk-1   (increasing k)  ==
+      DO jk = 2, jpkm1        !==  First recurrence : Dk = Dk - Lk * Uk-1 / Dk-1   (increasing k)  ==
          DO jj = 2, jpjm1   
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -326,5 +326,5 @@
          END DO
       END DO
-      DO jk = 2, jpkfm1
+      DO jk = 2, jpkm1
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -337,8 +337,8 @@
       DO jj = 2, jpjm1        !==  third recurrence : SOLk = ( Lk - Uk * SOLk+1 ) / Dk  ==
          DO ji = fs_2, fs_jpim1   ! vector opt.
-            va(ji,jj,jpkfm1) = va(ji,jj,jpkfm1) / zwd(ji,jj,jpkfm1)
-         END DO
-      END DO
-      DO jk = jpkf-2, 1, -1
+            va(ji,jj,jpkm1) = va(ji,jj,jpkm1) / zwd(ji,jj,jpkm1)
+         END DO
+      END DO
+      DO jk = jpk-2, 1, -1
          DO jj = 2, jpjm1   
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -349,5 +349,5 @@
 
       ! Normalization to obtain the general momentum trend va
-      DO jk = 1, jpkfm1
+      DO jk = 1, jpkm1
          DO jj = 2, jpjm1   
             DO ji = fs_2, fs_jpim1   ! vector opt.
Index: /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/LBC/exchmod.F90
===================================================================
--- /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/LBC/exchmod.F90	(revision 4478)
+++ /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/LBC/exchmod.F90	(revision 4479)
@@ -300,5 +300,5 @@
     USE par_oce, ONLY: wp, jpreci, jprecj, jpim1
     USE dom_oce, ONLY: nlci, nlcj, nldi, nlei, nldj, nlej, &
-                       nperio, nbondi, npolj, narea, jpkf
+                       nperio, nbondi, npolj, narea
     USE mapcomm_mod, ONLY: Iminus, Iplus, NONE, ilbext, iubext, cyclic_bc
     USE mapcomm_mod, ONLY: trimmed, eidx, widx
@@ -359,5 +359,5 @@
        ! we can limit the length of our z loops to the
        ! no. of levels above the ocean floor.
-       IF(kdim1 == jpkorig)kdim1 = jpkf
+       IF(kdim1 == jpkorig)kdim1 = jpk
     ELSEIF ( PRESENT(ib3) ) THEN
 #if defined key_z_first
@@ -369,5 +369,5 @@
        ! we can limit the length of our z loops to the
        ! no. of levels above the ocean floor.
-       IF(kdim1 == jpk)kdim1 = jpkf
+       IF(kdim1 == jpk)kdim1 = jpk
     ELSEIF ( PRESENT(b2) ) THEN
        kdim1 = SIZE(b2,dim=2)
Index: /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90
===================================================================
--- /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90	(revision 4478)
+++ /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90	(revision 4479)
@@ -172,7 +172,7 @@
       DO jj = 1, jpjm1           !==   i- & j-gradient of density   ==!
          DO ji = 1, jpim1
-            DO jk = 1, mbkmax(ji,jj) ! jpkf
-#else
-      DO jk = 1, jpkf            !==   i- & j-gradient of density   ==!
+            DO jk = 1, mbkmax(ji,jj) ! jpk
+#else
+      DO jk = 1, jpk            !==   i- & j-gradient of density   ==!
          DO jj = 1, jpjm1
             DO ji = 1, fs_jpim1   ! vector opt.
@@ -202,5 +202,5 @@
          DO ji = 1, jpi
             zdzr(ji,jj,1) = 0._wp   !==   Local vertical density gradient at T-point   == !   (evaluated from N^2)
-            DO jk = 2, mbkmax(ji,jj)-1 ! jpkfm1
+            DO jk = 2, mbkmax(ji,jj)-1 ! jpkm1
                zdzr(ji,jj,jk) = zm1_g * ( prd(ji,jj,jk) + 1._wp )              &
                   &                   * ( pn2(ji,jj,jk) + pn2(ji,jj,jk+1) ) * ( 1._wp - 0.5_wp * tmask(ji,jj,jk+1) )
@@ -210,5 +210,5 @@
 #else
       zdzr(:,:,1) = 0._wp        !==   Local vertical density gradient at T-point   == !   (evaluated from N^2)
-      DO jk = 2, jpkfm1
+      DO jk = 2, jpkm1
          !                                ! zdzr = d/dz(prd)= - ( prd ) / grav * mk(pn2) -- at t point
          !                                !   trick: tmask(ik  )  = 0   =>   all pn2   = 0   =>   zdzr = 0
@@ -231,7 +231,7 @@
       DO jj = 2, jpjm1               !* Slopes at u and v points
          DO ji = 2, jpim1
-            DO jk = 2, mbkmax(ji,jj)-1 ! jpkfm1
-#else
-      DO jk = 2, jpkfm1                            !* Slopes at u and v points
+            DO jk = 2, mbkmax(ji,jj)-1 ! jpkm1
+#else
+      DO jk = 2, jpkm1                            !* Slopes at u and v points
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -275,7 +275,7 @@
       DO jj = 2, jpjm1, MAX(1, jpj-3)                        ! rows jj=2 and =jpjm1 only
          DO ji = 2, jpim1  
-            DO jk = 2, mbkmax(ji,jj)-1 ! jpkfm1
-#else
-      DO jk = 2, jpkfm1
+            DO jk = 2, mbkmax(ji,jj)-1 ! jpkm1
+#else
+      DO jk = 2, jpkm1
          DO jj = 2, jpjm1, MAX(1, jpj-3)                        ! rows jj=2 and =jpjm1 only
             DO ji = 2, jpim1  
@@ -297,5 +297,5 @@
       DO jj = 3, jpj-2                               ! other rows
          DO ji = 2, jpim1
-            DO jk = 2, mbkmax(ji,jj)-1 ! jpkfm1
+            DO jk = 2, mbkmax(ji,jj)-1 ! jpkm1
 #else
          DO jj = 3, jpj-2                               ! other rows
@@ -319,5 +319,5 @@
       DO jj = 2, jpjm1
          DO ji = 2, jpim1
-            DO jk = 2, mbkmax(ji,jj)-1 ! jpkfm1
+            DO jk = 2, mbkmax(ji,jj)-1 ! jpkm1
 #else
          !                                        !* decrease along coastal boundaries
@@ -340,7 +340,7 @@
       DO jj = 2, jpjm1
          DO ji = 2, jpim1
-            DO jk = 2, mbkmax(ji,jj)-1 ! jpkfm1
-#else
-      DO jk = 2, jpkfm1
+            DO jk = 2, mbkmax(ji,jj)-1 ! jpkm1
+#else
+      DO jk = 2, jpkm1
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -384,7 +384,7 @@
       DO jj = 2, jpjm1, MAX(1, jpj-3)                           ! rows jj=2 and =jpjm1 only
          DO ji = 2, jpim1
-            DO jk = 2, mbkmax(ji,jj)-1 ! jpkfm1
-#else
-      DO jk = 2, jpkfm1
+            DO jk = 2, mbkmax(ji,jj)-1 ! jpkm1
+#else
+      DO jk = 2, jpkm1
          DO jj = 2, jpjm1, MAX(1, jpj-3)                        ! rows jj=2 and =jpjm1 only
             DO ji = 2, jpim1
@@ -407,5 +407,5 @@
       DO jj = 3, jpj-2                                  ! other rows
          DO ji = 2, jpim1
-            DO jk = 2, mbkmax(ji,jj)-1 ! jpkfm1
+            DO jk = 2, mbkmax(ji,jj)-1 ! jpkm1
 #else
          DO jj = 3, jpj-2                               ! other rows
@@ -430,5 +430,5 @@
       DO jj = 2, jpjm1
          DO ji = 2, jpim1
-            DO jk = 2, mbkmax(ji,jj)-1 ! jpkfm1
+            DO jk = 2, mbkmax(ji,jj)-1 ! jpkm1
 #else
          !                                        !* decrease along coastal boundaries
@@ -450,17 +450,17 @@
          !                                                    ! Gibraltar Strait
          ij0 =  50   ;   ij1 =  53
-         ii0 =  69   ;   ii1 =  71   ;   uslp ( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpkf ) = 0._wp
+         ii0 =  69   ;   ii1 =  71   ;   uslp ( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpk ) = 0._wp
          ij0 =  51   ;   ij1 =  53
-         ii0 =  68   ;   ii1 =  71   ;   vslp ( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpkf ) = 0._wp
-         ii0 =  69   ;   ii1 =  71   ;   wslpi( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpkf ) = 0._wp
-         ii0 =  69   ;   ii1 =  71   ;   wslpj( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpkf ) = 0._wp
+         ii0 =  68   ;   ii1 =  71   ;   vslp ( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpk ) = 0._wp
+         ii0 =  69   ;   ii1 =  71   ;   wslpi( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpk ) = 0._wp
+         ii0 =  69   ;   ii1 =  71   ;   wslpj( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpk ) = 0._wp
          !
          !                                                    ! Mediterranean Sea
          ij0 =  49   ;   ij1 =  56
-         ii0 =  71   ;   ii1 =  90   ;   uslp ( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpkf ) = 0._wp
+         ii0 =  71   ;   ii1 =  90   ;   uslp ( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpk ) = 0._wp
          ij0 =  50   ;   ij1 =  56
-         ii0 =  70   ;   ii1 =  90   ;   vslp ( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpkf ) = 0._wp
-         ii0 =  71   ;   ii1 =  90   ;   wslpi( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpkf ) = 0._wp
-         ii0 =  71   ;   ii1 =  90   ;   wslpj( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpkf ) = 0._wp
+         ii0 =  70   ;   ii1 =  90   ;   vslp ( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpk ) = 0._wp
+         ii0 =  71   ;   ii1 =  90   ;   wslpi( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpk ) = 0._wp
+         ii0 =  71   ;   ii1 =  90   ;   wslpj( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) , :jpk ) = 0._wp
       ENDIF
 
@@ -547,7 +547,7 @@
       DO jj = 1, jpjm1
          DO ji = 1, jpim1
-            DO jk = 1, jpkfm1                    !==  before lateral T & S gradients at T-level jk  ==!
-#else
-      DO jk = 1, jpkfm1                          !==  before lateral T & S gradients at T-level jk  ==!
+            DO jk = 1, jpkm1                    !==  before lateral T & S gradients at T-level jk  ==!
+#else
+      DO jk = 1, jpkm1                          !==  before lateral T & S gradients at T-level jk  ==!
          DO jj = 1, jpjm1
             DO ji = 1, fs_jpim1   ! vector opt.
@@ -581,5 +581,5 @@
             zdkt(ji,jj,1) = 0._wp            !==  before vertical T & S gradient at w-level  ==!
             zdks(ji,jj,1) = 0._wp
-            DO jk = 2, jpkf
+            DO jk = 2, jpk
                zdkt(ji,jj,jk) = ( tb(ji,jj,jk-1) - tb(ji,jj,jk) ) * tmask(ji,jj,jk)
                zdks(ji,jj,jk) = ( sb(ji,jj,jk-1) - sb(ji,jj,jk) ) * tmask(ji,jj,jk)
@@ -590,5 +590,5 @@
       zdkt(:,:,1) = 0._wp                    !==  before vertical T & S gradient at w-level  ==!
       zdks(:,:,1) = 0._wp
-      DO jk = 2, jpkf
+      DO jk = 2, jpk
          zdkt(:,:,jk) = ( tb(:,:,jk-1) - tb(:,:,jk) ) * tmask(:,:,jk)
          zdks(:,:,jk) = ( sb(:,:,jk-1) - sb(:,:,jk) ) * tmask(:,:,jk)
@@ -602,7 +602,7 @@
          DO jj = 1, jpjm1                          ! NB: not masked due to the minimum value set
             DO ji = 1, jpim1
-               DO jk = 1, jpkfm1                    ! done each pair of triad
-#else
-         DO jk = 1, jpkfm1                          ! done each pair of triad
+               DO jk = 1, jpkm1                    ! done each pair of triad
+#else
+         DO jk = 1, jpkm1                          ! done each pair of triad
             DO jj = 1, jpjm1                       ! NB: not masked due to the minimum value set
                DO ji = 1, fs_jpim1   ! vector opt. 
@@ -620,7 +620,7 @@
          DO jj = 1, jpj                         ! NB: not masked due to the minimum value set
             DO ji = 1, jpi
-               DO jk = 1, jpkfm1                    ! done each pair of triad
-#else
-         DO jk = 1, jpkfm1                          ! done each pair of triad
+               DO jk = 1, jpkm1                    ! done each pair of triad
+#else
+         DO jk = 1, jpkm1                          ! done each pair of triad
             DO jj = 1, jpj                       ! NB: not masked due to the minimum value set
                DO ji = 1, jpi   ! vector opt. 
@@ -682,7 +682,7 @@
             DO jj = 1, jpjm1
                DO ji = 1, jpim1
-                  DO jk = 1, jpkfm1
-#else
-            DO jk = 1, jpkfm1
+                  DO jk = 1, jpkm1
+#else
+            DO jk = 1, jpkm1
                DO jj = 1, jpjm1
                   DO ji = 1, fs_jpim1   ! vector opt.
@@ -818,7 +818,7 @@
       DO jj = 1, jpj
          DO ji = 1, jpi
-            DO jk = 1, mbkmax(ji,jj) ! jpkf ! =1 inside the mixed layer, =0 otherwise
-#else
-      DO jk = 1, jpkf                ! =1 inside the mixed layer, =0 otherwise
+            DO jk = 1, mbkmax(ji,jj) ! jpk ! =1 inside the mixed layer, =0 otherwise
+#else
+      DO jk = 1, jpk                ! =1 inside the mixed layer, =0 otherwise
 # if defined key_vectopt_loop 
          DO jj = 1, 1
@@ -987,5 +987,5 @@
                   DO jk = 1, mbkmax(ji,jj)
 #else
-            DO jk = 1, jpkf
+            DO jk = 1, jpk
                DO jj = 2, jpjm1
                   DO ji = fs_2, fs_jpim1   ! vector opt.
Index: /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90
===================================================================
--- /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 4478)
+++ /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 4479)
@@ -157,6 +157,6 @@
          END DO
 #else
-         zwx(:,:,jpkf) = 0.e0    ;    zwz(:,:,jpkf) = 0.e0
-         zwy(:,:,jpkf) = 0.e0    ;    zwi(:,:,jpkf) = 0.e0
+         zwx(:,:,jpk) = 0.e0    ;    zwz(:,:,jpk) = 0.e0
+         zwy(:,:,jpk) = 0.e0    ;    zwi(:,:,jpk) = 0.e0
 #endif
          ! 2. upstream advection with initial mass fluxes & intermediate update
@@ -167,7 +167,7 @@
          DO jj = 1, jpjm1
             DO ji = 1, jpim1
-               DO jk = 1, mbkmax(ji,jj)-1 ! jpkfm1
-#else
-         DO jk = 1, jpkfm1
+               DO jk = 1, mbkmax(ji,jj)-1 ! jpkm1
+#else
+         DO jk = 1, jpkm1
             DO jj = 1, jpjm1
                DO ji = 1, fs_jpim1   ! vector opt.
@@ -195,7 +195,7 @@
          DO jj = 1, jpj
             DO ji = 1, jpi
-               DO jk = 2, mbkmax(ji,jj)-1 ! jpkfm1
-#else
-         DO jk = 2, jpkfm1
+               DO jk = 2, mbkmax(ji,jj)-1 ! jpkm1
+#else
+         DO jk = 2, jpkm1
             DO jj = 1, jpj
                DO ji = 1, jpi
@@ -214,8 +214,8 @@
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
-               DO jk = 1, mbkmax(ji,jj)-1 ! jpkfm1
+               DO jk = 1, mbkmax(ji,jj)-1 ! jpkm1
                   z2dtt = p2dt(jk)
 #else
-         DO jk = 1, jpkfm1
+         DO jk = 1, jpkm1
             z2dtt = p2dt(jk)
             DO jj = 2, jpjm1
@@ -243,5 +243,5 @@
          IF( l_trd )  THEN 
             ! store intermediate advective trends
-            ztrdx(:,:,1:jpkf) = zwx(:,:,1:jpkf)   ;    ztrdy(:,:,1:jpkf) = zwy(:,:,1:jpkf)  ;   ztrdz(:,:,1:jpkf) = zwz(:,:,1:jpkf)
+            ztrdx(:,:,1:jpk) = zwx(:,:,1:jpk)   ;    ztrdy(:,:,1:jpk) = zwy(:,:,1:jpk)  ;   ztrdz(:,:,1:jpk) = zwz(:,:,1:jpk)
          END IF
          !                                 ! "Poleward" heat and salt transports (contribution of upstream fluxes)
@@ -258,7 +258,7 @@
          DO jj = 1, jpjm1
             DO ji = 1, jpim1
-               DO jk = 1, mbkmax(ji,jj)-1 ! jpkfm1
-#else
-         DO jk = 1, jpkfm1
+               DO jk = 1, mbkmax(ji,jj)-1 ! jpkm1
+#else
+         DO jk = 1, jpkm1
             DO jj = 1, jpjm1
                DO ji = 1, fs_jpim1   ! vector opt.
@@ -277,9 +277,9 @@
             DO ji = 1, jpi
                zwz(ji,jj,1) = 0.e0   ! Surface value
-               DO jk = 2, mbkmax(ji,jj)-1 ! jpkfm1
+               DO jk = 2, mbkmax(ji,jj)-1 ! jpkm1
 #else
          zwz(:,:,1) = 0.e0           ! Surface value
          !
-         DO jk = 2, jpkfm1            ! Interior value
+         DO jk = 2, jpkm1            ! Interior value
             DO jj = 1, jpj
                DO ji = 1, jpi
@@ -309,7 +309,7 @@
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
-               DO jk = 1, mbkmax(ji,jj)-1 ! jpkfm1
-#else
-         DO jk = 1, jpkfm1
+               DO jk = 1, mbkmax(ji,jj)-1 ! jpkm1
+#else
+         DO jk = 1, jpkm1
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.  
@@ -419,5 +419,5 @@
       END DO
 #else
-      zbetup(:,:,jpkf) = 0._wp   ;   zbetdo(:,:,jpkf) = 0._wp
+      zbetup(:,:,jpk) = 0._wp   ;   zbetdo(:,:,jpk) = 0._wp
 #endif
 
@@ -433,9 +433,9 @@
       DO jj = 2, jpjm1
          DO ji = 2, jpim1
-            DO jk = 1, mbkmax(ji,jj)-1 ! jpkfm1
+            DO jk = 1, mbkmax(ji,jj)-1 ! jpkm1
                ikm1 = MAX(jk-1,1)
                z2dtt = p2dt(jk)
 #else
-      DO jk = 1, jpkfm1
+      DO jk = 1, jpkm1
          ikm1 = MAX(jk-1,1)
          z2dtt = p2dt(jk)
@@ -484,7 +484,7 @@
       DO jj = 2, jpjm1
          DO ji = 2, jpim1
-            DO jk = 1, mbkmax(ji,jj)-1 ! jpkfm1
-#else
-      DO jk = 1, jpkfm1
+            DO jk = 1, mbkmax(ji,jj)-1 ! jpkm1
+#else
+      DO jk = 1, jpkm1
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1   ! vector opt.
Index: /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90
===================================================================
--- /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 4478)
+++ /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 4479)
@@ -189,8 +189,8 @@
 #else
          !!bug ajout.... why?   ( 1,jpj,:) and (jpi,1,:) should be sufficient....
-         zdit (1,:,1:jpkf) = 0.e0     ;     zdit (jpi,:,1:jpkf) = 0.e0
-         zdjt (1,:,1:jpkf) = 0.e0     ;     zdjt (jpi,:,1:jpkf) = 0.e0
+         zdit (1,:,1:jpk) = 0.e0     ;     zdit (jpi,:,1:jpk) = 0.e0
+         zdjt (1,:,1:jpk) = 0.e0     ;     zdjt (jpi,:,1:jpk) = 0.e0
          !!end
-         DO jk = 1, jpkfm1 ! jpkm1
+         DO jk = 1, jpkm1 ! jpkm1
             DO jj = 1, jpjm1
                DO ji = 1, fs_jpim1   ! vector opt.
@@ -326,5 +326,5 @@
 !CDIR PARALLEL DO PRIVATE( zdk1t ) 
          !                                                ! ===============
-         DO jk = 1, jpkfm1 ! jpkm1                        ! Horizontal slab
+         DO jk = 1, jpkm1 ! jpkm1                        ! Horizontal slab
             !                                             ! ===============
             ! 1. Vertical tracer gradient at level jk and jk+1
@@ -395,5 +395,5 @@
                   DO jk = 1, mbkmax(ji,jj)-1 ! jpkm1
 #else
-            DO jk = 1, jpkfm1 ! jpkm1
+            DO jk = 1, jpkm1 ! jpkm1
                DO jj = 2, jpjm1
                   DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -412,5 +412,5 @@
                   DO jk = 1, mbkmax(ji,jj)-1 ! jpkm1
 #else
-            DO jk = 1, jpkfm1 ! jpkm1
+            DO jk = 1, jpkm1 ! jpkm1
                DO jj = 2, jpjm1
                   DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -441,6 +441,6 @@
          ztfw(:,:,:) = 0.0_wp
 #else
-         ztfw(1,:,1:jpkf) = 0.e0     ;     ztfw(jpi,:,1:jpkf) = 0.e0
-         ztfw(:,:, 1 ) = 0.e0      ;      ztfw(:,:,jpkf) = 0.e0
+         ztfw(1,:,1:jpk) = 0.e0     ;     ztfw(jpi,:,1:jpk) = 0.e0
+         ztfw(:,:, 1 ) = 0.e0      ;      ztfw(:,:,jpk) = 0.e0
 #endif
 
@@ -451,5 +451,5 @@
                DO jk = 2, mbkmax(ji,jj)-1
 #else
-         DO jk = 2, jpkfm1
+         DO jk = 2, jpkm1
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -481,5 +481,5 @@
                DO jk = 1, mbkmax(ji,jj)-1
 #else
-         DO jk = 1, jpkfm1
+         DO jk = 1, jpkm1
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.
Index: /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 4478)
+++ /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 4479)
@@ -287,5 +287,5 @@
             DO ji = 1, jpi
                zpelc(ji,jj,1) =  MAX( rn2b(ji,jj,1), 0._wp ) * fsdepw(ji,jj,1) * fse3w(ji,jj,1)
-               DO jk = 2, jpkf
+               DO jk = 2, jpk
                   zpelc(ji,jj,jk)  = zpelc(ji,jj,jk-1) + MAX( rn2b(ji,jj,jk), 0._wp ) * fsdepw(ji,jj,jk) * fse3w(ji,jj,jk)
                END DO
@@ -294,5 +294,5 @@
 #else
          zpelc(:,:,1) =  MAX( rn2b(:,:,1), 0._wp ) * fsdepw(:,:,1) * fse3w(:,:,1)
-         DO jk = 2, jpkf
+         DO jk = 2, jpk
             zpelc(:,:,jk)  = zpelc(:,:,jk-1) + MAX( rn2b(:,:,jk), 0._wp ) * fsdepw(:,:,jk) * fse3w(:,:,jk)
          END DO
@@ -305,7 +305,7 @@
             DO ji = 1, jpi               !      with us=0.016*wind(starting from jpk-1)
                zus  = zcof * taum(ji,jj)
-               DO jk = jpkfm1, 2, -1
-#else
-         DO jk = jpkfm1, 2, -1
+               DO jk = jpkm1, 2, -1
+#else
+         DO jk = jpkm1, 2, -1
             DO jj = 1, jpj               ! Last w-level at which zpelc>=0.5*us*us 
                DO ji = 1, jpi            !      with us=0.016*wind(starting from jpk-1)
@@ -332,8 +332,8 @@
             DO ji = 2, jpim1
                zus  = zcof * SQRT( taum(ji,jj) )           ! Stokes drift
-               DO jk = 2, jpkfm1
-#else
-!CDIR NOVERRCHK
-         DO jk = 2, jpkfm1         !* TKE Langmuir circulation source term added to en
+               DO jk = 2, jpkm1
+#else
+!CDIR NOVERRCHK
+         DO jk = 2, jpkm1         !* TKE Langmuir circulation source term added to en
 !CDIR NOVERRCHK
             DO jj = 2, jpjm1
@@ -365,7 +365,7 @@
       DO jj = 1, jpj
          DO ji = 1, jpi
-            DO jk = 2, jpkfm1
-#else
-      DO jk = 2, jpkfm1           !* Shear production at uw- and vw-points (energy conserving form)
+            DO jk = 2, jpkm1
+#else
+      DO jk = 2, jpkm1           !* Shear production at uw- and vw-points (energy conserving form)
          DO jj = 1, jpj                 ! here avmu, avmv used as workspace
             DO ji = 1, jpi
@@ -387,7 +387,7 @@
       DO jj = 2, jpjm1
          DO ji = 2, jpim1
-            DO jk = 2, jpkfm1     !* Matrix and right hand side in en
-#else
-      DO jk = 2, jpkfm1           !* Matrix and right hand side in en
+            DO jk = 2, jpkm1     !* Matrix and right hand side in en
+#else
+      DO jk = 2, jpkm1           !* Matrix and right hand side in en
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -417,18 +417,18 @@
          DO ji = 2, jpim1
             ! First recurrence : Dk = Dk - Lk * Uk-1 / Dk-1
-            DO jk = 3, jpkfm1
+            DO jk = 3, jpkm1
                zdiag(ji,jj,jk) = zdiag(ji,jj,jk) - zd_lw(ji,jj,jk) * zd_up(ji,jj,jk-1) / zdiag(ji,jj,jk-1)
             END DO
             ! Second recurrence : Lk = RHSk - Lk / Dk-1 * Lk-1
             zd_lw(ji,jj,2) = en(ji,jj,2) - zd_lw(ji,jj,2) * en(ji,jj,1)    ! Surface boudary conditions on tke
-            DO jk = 3, jpkfm1
+            DO jk = 3, jpkm1
                zd_lw(ji,jj,jk) = en(ji,jj,jk) - zd_lw(ji,jj,jk) / zdiag(ji,jj,jk-1) *zd_lw(ji,jj,jk-1)
             END DO
             ! Third recurrence : Ek = ( Lk - Uk * Ek+1 ) / Dk
-            en(ji,jj,jpkfm1) = zd_lw(ji,jj,jpkfm1) / zdiag(ji,jj,jpkfm1)
-            DO jk = jpkf-2, 2, -1
+            en(ji,jj,jpkm1) = zd_lw(ji,jj,jpkm1) / zdiag(ji,jj,jpkm1)
+            DO jk = jpk-2, 2, -1
                en(ji,jj,jk) = ( zd_lw(ji,jj,jk) - zd_up(ji,jj,jk) * en(ji,jj,jk+1) ) / zdiag(ji,jj,jk)
             END DO
-            DO jk = 2, jpkfm1                       ! set the minimum value of tke
+            DO jk = 2, jpkm1                       ! set the minimum value of tke
                en(ji,jj,jk) = MAX( en(ji,jj,jk), rn_emin ) * tmask(ji,jj,jk)
             END DO
@@ -436,5 +436,5 @@
       END DO
 #else
-      DO jk = 3, jpkfm1                             ! First recurrence : Dk = Dk - Lk * Uk-1 / Dk-1
+      DO jk = 3, jpkm1                             ! First recurrence : Dk = Dk - Lk * Uk-1 / Dk-1
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1    ! vector opt.
@@ -448,5 +448,5 @@
          END DO
       END DO
-      DO jk = 3, jpkfm1
+      DO jk = 3, jpkm1
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1    ! vector opt.
@@ -457,8 +457,8 @@
       DO jj = 2, jpjm1                             ! thrid recurrence : Ek = ( Lk - Uk * Ek+1 ) / Dk
          DO ji = fs_2, fs_jpim1    ! vector opt.
-            en(ji,jj,jpkfm1) = zd_lw(ji,jj,jpkfm1) / zdiag(ji,jj,jpkfm1)
-         END DO
-      END DO
-      DO jk = jpkf-2, 2, -1
+            en(ji,jj,jpkm1) = zd_lw(ji,jj,jpkm1) / zdiag(ji,jj,jpkm1)
+         END DO
+      END DO
+      DO jk = jpk-2, 2, -1
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1    ! vector opt.
@@ -467,5 +467,5 @@
          END DO
       END DO
-      DO jk = 2, jpkfm1                             ! set the minimum value of tke
+      DO jk = 2, jpkm1                             ! set the minimum value of tke
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -483,7 +483,7 @@
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
-               DO jk = 2, jpkfm1
-#else
-         DO jk = 2, jpkfm1
+               DO jk = 2, jpkm1
+#else
+         DO jk = 2, jpkm1
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -507,5 +507,5 @@
          !!            unless we also make zdif a 2-d (jpi,jpj) array
 !CDIR NOVERRCHK
-         DO jk = 2, jpkfm1
+         DO jk = 2, jpkm1
 !CDIR NOVERRCHK
             DO jj = 2, jpjm1
@@ -601,11 +601,11 @@
       DO jj = 2, jpjm1
          DO ji = 2, jpim1
-            zmxlm(ji,jj,jpkf) = rmxl_min     ! last level set to the interior minium value
-            DO jk = 2, jpkfm1        ! interior value : l=sqrt(2*e/n^2)
-#else
-      zmxlm(:,:,jpkf)  = rmxl_min    ! last level set to the interior minium value
-      !
-!CDIR NOVERRCHK
-      DO jk = 2, jpkfm1              ! interior value : l=sqrt(2*e/n^2)
+            zmxlm(ji,jj,jpk) = rmxl_min     ! last level set to the interior minium value
+            DO jk = 2, jpkm1        ! interior value : l=sqrt(2*e/n^2)
+#else
+      zmxlm(:,:,jpk)  = rmxl_min    ! last level set to the interior minium value
+      !
+!CDIR NOVERRCHK
+      DO jk = 2, jpkm1              ! interior value : l=sqrt(2*e/n^2)
 !CDIR NOVERRCHK
          DO jj = 2, jpjm1
@@ -622,5 +622,5 @@
       !
       zmxld(:,:, 1  ) = zmxlm(:,:,1)   ! surface set to the zmxlm   value
-      zmxld(:,:,jpkf) = rmxl_min       ! last level  set to the minimum value
+      zmxld(:,:,jpk) = rmxl_min       ! last level  set to the minimum value
       !
       SELECT CASE ( nn_mxl )
@@ -630,7 +630,7 @@
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
-               DO jk = 2, jpkfm1
-#else
-         DO jk = 2, jpkfm1
+               DO jk = 2, jpkm1
+#else
+         DO jk = 2, jpkm1
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -648,7 +648,7 @@
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
-               DO jk = 2, jpkfm1
-#else
-         DO jk = 2, jpkfm1
+               DO jk = 2, jpkm1
+#else
+         DO jk = 2, jpkm1
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -665,8 +665,8 @@
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
-               DO jk = 2, jpkfm1   ! from the surface to the bottom :
+               DO jk = 2, jpkm1   ! from the surface to the bottom :
                   zmxlm(ji,jj,jk) = MIN( zmxlm(ji,jj,jk-1) + fse3t(ji,jj,jk-1), zmxlm(ji,jj,jk) )
                END DO
-               DO jk = jpkfm1, 2, -1     ! from the bottom to the surface :
+               DO jk = jpkm1, 2, -1     ! from the bottom to the surface :
                   zemxl = MIN( zmxlm(ji,jj,jk+1) + fse3t(ji,jj,jk+1), zmxlm(ji,jj,jk) )
                   zmxlm(ji,jj,jk) = zemxl
@@ -676,5 +676,5 @@
          END DO
 #else
-         DO jk = 2, jpkfm1         ! from the surface to the bottom :
+         DO jk = 2, jpkm1         ! from the surface to the bottom :
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -683,5 +683,5 @@
             END DO
          END DO
-         DO jk = jpkfm1, 2, -1     ! from the bottom to the surface :
+         DO jk = jpkm1, 2, -1     ! from the bottom to the surface :
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -698,11 +698,11 @@
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
-               DO jk = 2, jpkfm1         ! from the surface to the bottom : lup
+               DO jk = 2, jpkm1         ! from the surface to the bottom : lup
                   zmxld(ji,jj,jk) = MIN( zmxld(ji,jj,jk-1) + fse3t(ji,jj,jk-1), zmxlm(ji,jj,jk) )
                END DO
-               DO jk = jpkfm1, 2, -1     ! from the bottom to the surface : ldown
+               DO jk = jpkm1, 2, -1     ! from the bottom to the surface : ldown
                   zmxlm(ji,jj,jk) = MIN( zmxlm(ji,jj,jk+1) + fse3t(ji,jj,jk+1), zmxlm(ji,jj,jk) )
                END DO
-               DO jk = 2, jpkfm1
+               DO jk = 2, jpkm1
                   zemlm = MIN ( zmxld(ji,jj,jk),  zmxlm(ji,jj,jk) )
                   zemlp = SQRT( zmxld(ji,jj,jk) * zmxlm(ji,jj,jk) )
@@ -713,5 +713,5 @@
          END DO
 #else
-         DO jk = 2, jpkfm1         ! from the surface to the bottom : lup
+         DO jk = 2, jpkm1         ! from the surface to the bottom : lup
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -720,5 +720,5 @@
             END DO
          END DO
-         DO jk = jpkfm1, 2, -1     ! from the bottom to the surface : ldown
+         DO jk = jpkm1, 2, -1     ! from the bottom to the surface : ldown
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -728,5 +728,5 @@
          END DO
 !CDIR NOVERRCHK
-         DO jk = 2, jpkfm1
+         DO jk = 2, jpkm1
 !CDIR NOVERRCHK
             DO jj = 2, jpjm1
@@ -755,8 +755,8 @@
       DO jj = 2, jpjm1
          DO ji = 2, jpim1
-            DO jk = 1, jpkfm1      !* vertical eddy viscosity & diffivity at w-points
-#else
-!CDIR NOVERRCHK
-      DO jk = 1, jpkfm1            !* vertical eddy viscosity & diffivity at w-points
+            DO jk = 1, jpkm1      !* vertical eddy viscosity & diffivity at w-points
+#else
+!CDIR NOVERRCHK
+      DO jk = 1, jpkm1            !* vertical eddy viscosity & diffivity at w-points
 !CDIR NOVERRCHK
          DO jj = 2, jpjm1
@@ -777,7 +777,7 @@
       DO jj = 2, jpjm1
          DO ji = 2, jpim1
-            DO jk = 2, jpkfm1      !* vertical eddy viscosity at u- and v-points
-#else
-      DO jk = 2, jpkfm1            !* vertical eddy viscosity at u- and v-points
+            DO jk = 2, jpkm1      !* vertical eddy viscosity at u- and v-points
+#else
+      DO jk = 2, jpkm1            !* vertical eddy viscosity at u- and v-points
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -795,7 +795,7 @@
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
-               DO jk = 2, jpkfm1
-#else
-         DO jk = 2, jpkfm1
+               DO jk = 2, jpkm1
+#else
+         DO jk = 2, jpkm1
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.
Index: /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 4478)
+++ /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 4479)
@@ -242,6 +242,4 @@
          jpkm1 = jpk-1                                            ! inner domain indices
          jpkorig = jpk                        ! Copy of jpk that is NOT modified
-         jpkf    = jpk                        ! Max depth of this sub-domain. Initially set to jpk here
-                                              ! but altered later in domzgr
       ENDIF
 
Index: /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/par_oce.F90
===================================================================
--- /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 4478)
+++ /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 4479)
@@ -177,10 +177,8 @@
    INTEGER, PUBLIC  ::   jpj   ! = ( jpjglo-2*jprecj + (jpnj-1) ) / jpnj + 2*jprecj   !: second dimension
    INTEGER, PUBLIC  ::   jpk   ! = jpkdta                                             !: third dimension
-   INTEGER, PUBLIC  ::   jpkf  ! <= jpk                                             !: Max wet level of MPP subdomain
-   INTEGER, PUBLIC  ::   jpkorig ! = jpk before it is reset to jpkf
+   INTEGER, PUBLIC  ::   jpkorig ! = jpk before it is reduced to a sub-domain-local value
    INTEGER, PUBLIC  ::   jpim1 ! = jpi-1                                            !: inner domain indices
    INTEGER, PUBLIC  ::   jpjm1 ! = jpj-1                                            !:   -     -      -
    INTEGER, PUBLIC  ::   jpkm1 ! = jpk-1                                            !:   -     -      -
-   INTEGER, PUBLIC  ::   jpkfm1 ! = jpkf-1                                          !:   -     -      -
    INTEGER, PUBLIC  ::   jpij  ! = jpi*jpj                                          !:  jpi x jpj
 
